Package org.apache.wiki.diff

# Interface DiffProvider

All Superinterfaces:
  `WikiProvider`

All Known Implementing Classes:
  `ContextualDiffProvider`, `DiffProvider.NullDiffProvider`, `ExternalDiffProvider`, `TraditionalDiffProvider`

public interface DiffProvider extends WikiProvider
Provides an SPI for creating a diff between two page versions.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`DiffProvider.NullDiffProvider`
If there is no diff provider set, this provider will work instead.

## Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Method Summary

Modifier and Type
Method
Description
`String`
`makeDiffHtml(Context context, String oldWikiText, String newWikiText)`
The return string is to be XHTML compliant ready to display html.

### Methods inherited from interface org.apache.wiki.api.providers.WikiProvider

`getProviderInfo, initialize`

## Method Details

### makeDiffHtml

String makeDiffHtml(Context context, String oldWikiText, String newWikiText)
The return string is to be XHTML compliant ready to display html. No further processing of this text will be done by the wiki engine.

Parameters:
  `context` - The Wiki Context
  `oldWikiText` - the old text
  `newWikiText` - the new text
Returns:
  An XHTML diff.